Page MenuHomeMiraheze

Replacing Mobile Version Link
Closed, ResolvedPublic

Description

Replace mobile version link with m.wikitranslate.tk, such as Wikipedia's mobile version link is en.m.wikipedia.org.

Event Timeline

Ahmsaqib created this task.Nov 9 2018, 16:28
Paladox added a subscriber: Paladox.Nov 10 2018, 00:58

Is there anyone who does the job?
@Paladox @Reception123

Paladox added a comment.Nov 17 2018, 22:26

This requires server side changes.

Paladox claimed this task.Nov 20 2018, 23:39
Paladox added a comment.Nov 23 2018, 15:52

We have to upgrade the infrastructure to support this. It will take a while as we first have to migrate our ssl infrastructure to support this.

Paladox added a comment.Nov 25 2018, 18:20

Status update, we kind of support this now. At least miraheze.org has a <project>.m.miraheze.org domain now.

and in custom domains?

Paladox added a comment.Nov 25 2018, 19:03

We have enabled it for miraheze.org domain only for now. As we need to do some further work for custom domains.

We are working on it, but please be sure that m.wikitranslate.tk is pointed to us just like how wikitranslate.tk is pointed to us.

@MacFan4000 m.wikitranslate.tk will work as subdomain of wikitranslate.tk, and I can't make a subdimain on "domain control panel". it will be possible on hosting control panel only.

+ when a domain is pointed on a host, subdomains are automatically pointed on this host ..... (as i know)

Ahmsaqib closed this task as Resolved.Nov 25 2018, 20:04

Thanks! @Paladox and your coworkers.

Paladox added a comment.Nov 25 2018, 20:07

@Eduaddad hi, if you want a mobile domain, please could you file a separate request?

@Eduaddad hi, if you want a mobile domain, please could you file a separate request?

done. T3838